Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.std.lens
Class LensMan

    java.lang.Object
      multivalent.VObject
          multivalent.Behavior
              multivalent.std.lens.LensMan

public class LensMan
extends Behavior

Manager to coordinate lens painting.

Version:
  $Revision: 1.6 $ $Date: 2002/11/18 05:11:41 $
See Also:
  `WindowUI`

Field Summary
`static int` | `LENS_MAX` Maximum number of intersecting lenses; can have more total.

Fields inherited from class multivalent.Behavior
`ATTR_BEHAVIOR, name_`

Fields inherited from class multivalent.VObject
`attr_`

Constructor Summary
`LensMan()`

Method Summary
`void` | `addLens(Lens lens)`
`void` | `deleteLens(Lens lens)`
`boolean` | `eventAfter(java.awt.AWTEvent e, java.awt.Point rel, Node obsn)` During `Behavior.eventBefore(AWTEvent, Point, Node)`, the behaviors that take primary action to that event should do so, after having given other behaviors the opportunity to filter it during `eventBefore`.
`INode` | `getVisualLayer()` Return INode under which all Lens VFrame's are stored.
`boolean` | `paintAfter(Context cx, Node root)` While painting lenses, shortcircuit higher ups until done.
`boolean` | `paintBefore(Context cx, Node notused)` Redraws portions of document covered by lenses, combining effects where lenses intersect.
`void` | `raiseLens(Lens lens)` Raise passed lens to top of stacking order, adding to stack if necessary.
`void` | `restore(ESISNode n, java.util.Map<java.lang.String,java.lang.Object> attr, Layer layer)` Takes the place of a constructor's initialization functions; that is, it is invoked exactly once immediately after object instantiation.
`ESISNode` | `save()` LensMan is spontaneously generated -- nothing to save.

Methods inherited from class multivalent.Behavior
`buildAfter, buildBefore, checkRep, clipboardAfter, clipboardBefore, createUI, destroy, eventBefore, formatAfter, formatBefore, getBrowser, getDocument, getInstance, getInstance, getLayer, getLogger, getName, getPreference, getRoot, isEditable, putPreference, redo, restoreChildren, semanticEventAfter, semanticEventBefore, setName, toString, undo`

Methods inherited from class multivalent.VObject
`attrEntrySetIterator, attrKeysIterator, clearAttributes, getAttr, getAttr, getAttributes, getGlobal, getValue, hasAttributes, putAttr, removeAttr, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LENS_MAX

    public static final int LENS_MAX

  Maximum number of intersecting lenses; can have more total.

  See Also:
    Constant Field Values

Constructor Detail

### LensMan

    public LensMan()

Method Detail

### addLens

    public void addLens(Lens lens)

### deleteLens

    public void deleteLens(Lens lens)

### raiseLens

    public void raiseLens(Lens lens)

  Raise passed lens to top of stacking order, adding to stack if necessary.

### getVisualLayer

    public INode getVisualLayer()

  Return INode under which all Lens VFrame's are stored.

### restore

    public void restore(ESISNode n,
                        java.util.Map<java.lang.String,java.lang.Object> attr,
                        Layer layer)

  Description copied from class: `Behavior`
  Takes the place of a constructor's initialization functions; that is, it is invoked exactly once immediately after object instantiation. When restored from hub, passed XML content subtree if any as first parameter and attributes from XML tag's attributes. This protocol cannot be short-circuited.

  Overrides:
    `restore` in class `Behavior`

### paintBefore

    public boolean paintBefore(Context cx,
                               Node notused)

  Redraws portions of document covered by lenses, combining effects where lenses intersect. Lenses kept in same visual layer, on Browser's root, visually above everything except menus. Paint by drawing contents (including intersections) here in paintBefore, before window apparatus has a chance to clutter visuals, then follow normal control flow to draw empty VFrames, then nothing to do in paintAfter. Document sans lenses has been painted; now redraw parts under lenses.

  Overrides:
    `paintBefore` in class `Behavior`
  Returns:
    `true` to short-circuit to paintAfter at that node, bypassing painting of the subtree.

### paintAfter

    public boolean paintAfter(Context cx,
                              Node root)

  While painting lenses, shortcircuit higher ups until done.

  Overrides:
    `paintAfter` in class `Behavior`

### eventAfter

    public boolean eventAfter(java.awt.AWTEvent e,
                              java.awt.Point rel,
                              Node obsn)

  Description copied from class: `Behavior`
  During `Behavior.eventBefore(AWTEvent, Point, Node)`, the behaviors that take primary action to that event should do so, after having given other behaviors the opportunity to filter it during `eventBefore`.

  Overrides:
    `eventAfter` in class `Behavior`

### save

    public ESISNode save()

  LensMan is spontaneously generated -- nothing to save.

  Overrides:
    `save` in class `Behavior`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD